/*
 * This file is a part of CMSLU -- Content Management System like Unix
 * and is not publicly distributed
 * 
 * Copyright (c) 2008-2009, Tomasz Sowa
 * All rights reserved.
 * 
 */
 
#include "templates.h"
#include "../core/data.h"
#include "../core/request.h"
#include "../core/misc.h"




namespace TemplatesFunctions
{


void sys_ver_major(Info & i)
{
	i.out << MAJOR_VER;
}


void sys_ver_minor(Info & i)
{
	i.out << MINOR_VER;
}



void sys_ver_revision(Info & i)
{
	i.out << REVISION_VER;
}




} // namespace TemplatesFunctions


