/*
 * This file is a part of CMSLU -- Content Management System like Unix
 * and is not publicly distributed
 * 
 * Copyright (c) 2008-2009, Tomasz Sowa
 * All rights reserved.
 * 
 */
 
#include "templates.h"
#include "../core/data.h"
#include "../core/request.h"
#include "../core/misc.h"




namespace TemplatesFunctions
{



void user_logged(Info & i)
{
	i.result = request.session->puser != 0;
}


void user_name(Info & i)
{
	if( !request.session->puser )
		return;
	
	i.out << request.session->puser->name;
}



void user_super_user(Info & i)
{
	if( request.session->puser && request.session->puser->super_user )
		i.result = true;
}







} // namespace TemplatesFunctions



