/*
 * This file is a part of CMSLU -- Content Management System like Unix
 * and is not publicly distributed
 * 
 * Copyright (c) 2008-2009, Tomasz Sowa
 * All rights reserved.
 * 
 */
 
#include "templates.h"
#include "../core/data.h"



namespace TemplatesFunctions
{


void mount_param_withheader(Info & i)
{
	i.result = data.mounts.CurrentMountIsParam(Mount::withheader);
}



void mount_param_withinfo(Info & i)
{
	i.result = data.mounts.CurrentMountIsParam(Mount::withinfo);
}


void mount_param_thread_with_header(Info & i)
{
	i.result = data.mounts.CurrentMountIsParam(Mount::thread_with_header);
}


void mount_param_thread_with_info(Info & i)
{
	i.result = data.mounts.CurrentMountIsParam(Mount::thread_with_info);
}


} // namespace TemplatesFunctions



